Subject: Re: 1.7.1 "Bad Address" when running cmd.exe on 64 bit windows server 2008
From: <[email-masked]>
To: [email-masked]
Cc: Corinna Vinschen <[email-masked]>
Date: Tue, 26 Jan 2010 23:29:43 -0500
List-Id: <cygwin.cygwin.com>

Wow, thank you so much, that was very fast!  

Is there a way I can refer my customers to this patch? Or should I put the workarounds in my code for now until this is in an official release?

I appreciate all the help with the workarounds, that got me going again, but at this point I either need to ship a patch on my end with the work around, or somehow get my end users to put the cygwin patch on, but I am not sure how to do that?

Thanks for all the help,

Jennifer

---- Corinna Vinschen <[email-masked]> wrote: 
> On Jan 23 12:03, Corinna Vinschen wrote:
> > On Jan 22 19:52, Dave Korn wrote:
> > > On 22/01/2010 19:10, Cooper, Karl (US SSA) wrote:
> > > >> ---- jenniferlee@ wrote:
> > > 
> > > >>> Administrator@nc042046 ~ $ cmd.exe /c 'mkdir C:\WINDOWS\temp' -bash:
> > > >>> /cygdrive/c/Windows/system32/cmd.exe: Bad address
> > > >>> 
> > > > I get the same result you do when I use "/c" (lower case c), but the
> > > > command is processed as expected when I use "/C" (upper case C).
> > > 
> > >   I get the same, and found a different workaround: it works by using "cmd"
> > > instead of "cmd.exe".
> > 
> > If nobody beats me to it, I'll look into that one next week.
> 
> Should be fixed in CVS now.
> 
> 
> Corinna
> 
> -- 
> Corinna Vinschen                  Please, send mails regarding Cygwin to
> Cygwin Project Co-Leader          cygwin AT cygwin DOT com
> Red Hat
> 
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> 

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple